
PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
DROP TABLE IF EXISTS [drop_downs] ;
CREATE TABLE [drop_downs] ([mode_data] INTEGER, [text_index] INTEGER, [language_id] INT);

DROP TABLE IF EXISTS user_settings ;
CREATE TABLE user_settings (
  user_id int(5) NOT NULL,
  user_defined_home varchar(500),
  user_defined_main varchar(500)
);

DROP TABLE IF EXISTS "data_key";
CREATE TABLE "data_key"(
	"id"          Integer,
	"language_id" Integer,
	"type"        Text );
INSERT INTO "data_key" VALUES(0,202,'analog');
INSERT INTO "data_key" VALUES(1,2561,'analog');
INSERT INTO "data_key" VALUES(2,2562,'analog');
INSERT INTO "data_key" VALUES(0,202,'digital');
INSERT INTO "data_key" VALUES(1,574,'digital');
INSERT INTO "data_key" VALUES(2,575,'digital');
INSERT INTO "data_key" VALUES(2,558,'sensor');
INSERT INTO "data_key" VALUES(3,559,'sensor');
INSERT INTO "data_key" VALUES(4,1306,'sensor');
INSERT INTO "data_key" VALUES(5,561,'sensor');
INSERT INTO "data_key" VALUES(10,565,'sensor');
INSERT INTO "data_key" VALUES(12,1656,'sensor');
INSERT INTO "data_key" VALUES(0,202,'unit');
INSERT INTO "data_key" VALUES(1,7,'unit');
INSERT INTO "data_key" VALUES(2,NULL,'unit');
INSERT INTO "data_key" VALUES(3,NULL,'unit');
INSERT INTO "data_key" VALUES(4,8,'unit');
INSERT INTO "data_key" VALUES(100,547,'unit');
INSERT INTO "data_key" VALUES(5,NULL,'unit');
INSERT INTO "data_key" VALUES(6,551,'unit');
INSERT INTO "data_key" VALUES(7,552,'unit');
INSERT INTO "data_key" VALUES(8,132,'unit');
INSERT INTO "data_key" VALUES(9,553,'unit');
INSERT INTO "data_key" VALUES(10,779,NULL);
INSERT INTO "data_key" VALUES(11,158,NULL);
INSERT INTO "data_key" VALUES(12,1205,NULL);
INSERT INTO "data_key" VALUES(13,554,NULL);
INSERT INTO "data_key" VALUES(14,555,NULL);
INSERT INTO "data_key" VALUES(15,556,NULL);
INSERT INTO "data_key" VALUES(16,127,NULL);
INSERT INTO "data_key" VALUES(17,NULL,NULL);
INSERT INTO "data_key" VALUES(18,NULL,NULL);
INSERT INTO "data_key" VALUES(19,155,NULL);
INSERT INTO "data_key" VALUES(3,2016,'digital');
INSERT INTO "data_key" VALUES(4,2017,'digital');
INSERT INTO "data_key" VALUES(5,2018,'digital');
INSERT INTO "data_key" VALUES(6,2019,'digital');
INSERT INTO "data_key" VALUES(1,557,'sensor');
INSERT INTO "data_key" VALUES(7,563,'sensor');

DROP TABLE IF EXISTS "global_settings_sensor_types";
CREATE TABLE "global_settings_sensor_types"(
	"input_number" Integer,
	"value" Integer );
INSERT INTO "global_settings_sensor_types" VALUES(202,0);
INSERT INTO "global_settings_sensor_types" VALUES(7,1);
INSERT INTO "global_settings_sensor_types" VALUES(8,4);
INSERT INTO "global_settings_sensor_types" VALUES(547,100);

DROP TABLE IF EXISTS "contacts";
CREATE TABLE "contacts"(
	"contact_id" Integer,
	"email" Text,
	"if_you_need" Text,
	"name" Text,
	"phone" Text );
INSERT INTO "contacts" VALUES(1,'','','','');
INSERT INTO "contacts" VALUES(2,'','','','');
INSERT INTO "contacts" VALUES(3,'','','','');
INSERT INTO "contacts" VALUES(4,'','','','');

DROP TABLE IF EXISTS "software";
CREATE TABLE "software"(
	"version" Text,
	"release" Text );
INSERT INTO "software" VALUES('10.01','10/08/2015');

DROP TABLE IF EXISTS "shared_memory_monitor";
CREATE TABLE "shared_memory_monitor"(
	"data_file" Text,
	"file_item" Text,
	"data_item" Text , "data_file_text" Text, "data_item_text" Text);
DROP TABLE IF EXISTS "temp";
CREATE TABLE "temp"(
	"name" Text );

DROP TABLE IF EXISTS "summer_winter_steps";
CREATE TABLE "summer_winter_steps"(
	"output" Text,
	"step_number" Integer,
	"summer_winter" Integer );

DROP TABLE IF EXISTS sessions;
CREATE TABLE sessions(
                 sessionId TEXT PRIMARY KEY,
                 id INTEGER REFERENCES users(id),
                 lastAccessTime TEXT);

DROP TABLE IF EXISTS "languages";
CREATE TABLE "languages"(
	"language_id" Integer,
	"name" Text,
	"english" Text,
    "spanish" Text,
	"portuguese" Text);



DROP TABLE IF EXISTS user_defined;
CREATE TABLE user_defined(
  id INTEGER,
  user_id TEXT, language_id INT, zone INT, page VARCHAR(100),
  unit Text,
  PRIMARY KEY(id, user_id, zone, page),
  FOREIGN KEY (user_id) REFERENCES users(user_id),
  FOREIGN KEY (language_id) REFERENCES languages(language_id));

DROP TABLE IF EXISTS equipment;
CREATE TABLE equipment(
product_name TEXT,
ip TEXT UNIQUE,
port VARCHAR(10),
type_name VARCHAR(25),
external_address TEXT);

DROP TABLE IF EXISTS equipment_components ;
CREATE TABLE equipment_components (
host_id INTEGER,
component_name TEXT,
type_name VARCHAR(25),
CONSTRAINT component UNIQUE(host_id, type_name),
FOREIGN KEY(host_id) REFERENCES equipment(rowid));

DROP TABLE IF EXISTS test_panel_ips;
CREATE TABLE test_panel_ips (
type_name VARCHAR(25),
test_letter CHARACTER(1),
ip TEXT
);
INSERT INTO test_panel_ips VALUES('compressor',       'A', '10.14.228.114');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'A', '10.14.228.116');
INSERT INTO test_panel_ips VALUES('evaporator',       'A', '10.14.228.117');
INSERT INTO test_panel_ips VALUES('engine_room',      'A', '10.14.228.118');
INSERT INTO test_panel_ips VALUES('compressor',       'B', '10.14.228.119');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'B', '10.14.228.121');
INSERT INTO test_panel_ips VALUES('evaporator',       'B', '10.14.228.122');
INSERT INTO test_panel_ips VALUES('engine_room',      'B', '10.14.228.128');

DROP TABLE IF EXISTS user_actions;
CREATE TABLE user_actions(
       user_id TEXT,
       action_data TEXT,
       time_stamp TIMESTAMP,
       FOREIGN KEY(user_id) REFERENCES users(id));


DROP TABLE IF EXISTS "global_settings_smtp_auth";
CREATE TABLE "global_settings_smtp_auth"(
	"authid" Integer NOT NULL PRIMARY KEY AUTOINCREMENT,
	"option" Text , "selected" Integer);
INSERT INTO "global_settings_smtp_auth" VALUES(1,'tls',1);
INSERT INTO "global_settings_smtp_auth" VALUES(2,'ssl',0);

DROP TABLE IF EXISTS "global_settings_smtp_settings";
CREATE TABLE "global_settings_smtp_settings"(
	"from_address" Text,
	"host"         Text,
	"password"     Text,
	"port"         Text,
	"timeOccured"  DateTime,
	"username"     Text );
INSERT INTO "global_settings_smtp_settings" VALUES('','','','','','');

DROP TABLE IF EXISTS "global_settings_notifications";
CREATE TABLE "global_settings_notifications"(
	"level" Integer,
	"sec_group" Integer );


DROP TABLE IF EXISTS meta;
CREATE TABLE meta(
       version DOUBLE
);
INSERT INTO meta VALUES(5.0);

DROP TABLE IF EXISTS local_host_configs;
CREATE TABLE local_host_configs(
       url TEXT,
       user_defined_name TEXT,
       product_type VARCHAR(25)
);
INSERT INTO local_host_configs VALUES('', 'uip', 'uip');

DROP TABLE IF EXISTS local_host_components;
CREATE TABLE local_host_components(
       user_defined_name TEXT,
       product_type VARCHAR(25)
);

DROP INDEX IF EXISTS "drop_downsIdx";
DROP INDEX IF EXISTS "data_keyIdx";
DROP INDEX IF EXISTS [idx_data_key];
DROP INDEX IF EXISTS "idx_languages";
DROP INDEX IF EXISTS "languagesIdx";
DROP INDEX IF EXISTS "index_authid";


CREATE INDEX "drop_downsIdx" ON "drop_downs"( "mode_data", "language_id" );
CREATE INDEX "data_keyIdx" ON "data_key"( "language_id", "type" );
CREATE INDEX [idx_data_key] ON [data_key] ([id] ASC);
CREATE INDEX "idx_languages" ON "languages"( "language_id" );
CREATE INDEX "languagesIdx" ON "languages"( "name" );
CREATE INDEX "index_authid" ON "global_settings_smtp_auth"( "authid" );

COMMIT;
