/*global $ */
function makeInvisible(element) {
    $(element).addClass("invisible");
}

function makeVisible(element) {
    $(element).removeClass("invisible");    
}

function hidePage(page) {
    $(page).addClass("hidden").removeClass("current-page");
}

function showPage(page) {
    $(page).removeClass("hidden").addClass("current-page");
}

function movePage(currentPage, newPage) {
    var subMenu = $(currentPage).parents(".system-sub-menu");
    if ($(newPage).length == 0){
        return;
    }
    hidePage(currentPage);
    showPage(newPage);
    
    $(subMenu).trigger("change.pageChange");        
    
}

function showNavUnit(button, condition) {
    if (condition()) {
        makeVisible(button);
    } else {
        makeInvisible(button);
    }
}

$(document).ready(function() {
    $(".sub-menu-previous").on('click', function() {
        var prevButton = this;
        var currentPage = $(prevButton).parent().siblings(".sub-menu-page.current-page").first();
        var previousPage = $(currentPage).prev(".sub-menu-page");
        movePage(currentPage, previousPage);
    });

    $(".sub-menu-next").on('click', function() {
        var nextButton = this;
        var currentPage = $(nextButton).parent().siblings(".sub-menu-page.current-page").first();
        var nextPage = $(currentPage).next(".sub-menu-page");
        movePage(currentPage, nextPage);
    });

    $(".system-sub-menu").on("change.pageChange", function(){
        var subMenu = this;
        var currentPage = $(subMenu).find(".sub-menu-page.current-page").first();
        var prevPage = $(currentPage).prev(".sub-menu-page");
        var nextPage = $(currentPage).next(".sub-menu-page");
        var prevButton = $(subMenu).find("button.sub-menu-previous");
        var nextButton = $(subMenu).find("button.sub-menu-next");
        showNavUnit(prevButton, function() {
            return $(prevPage).length > 0;
        });

        showNavUnit(nextButton, function() {
            return $(nextPage).length > 0;
        });
    });
});
